package com.tofly.watermeter.em;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author FlashWJL
 * @date 2022/1/15 17:16
 */
@Getter
@AllArgsConstructor
public enum AbnormalBigFiledEnum {

    WATER_UP("waterUp"),
    WATER_DOWN("waterDown"),
    YEAR_UP("yearUp"),
    YEAR_DOWN("yearDown"),
    CHAIN_UP("chainUp"),
    CHAIN_DOWN("chainDown"),
    ZERO_WATER("zeroWater"),
    WATER_YEAR_UP("waterYearUp"),
    WATER_YEAR_DOWN("waterYearDown"),
    WATER_CHAIN_UP("waterChainUp"),
    WATER_CHAIN_DOWN("waterChainDown"),
    WATER_CONTINUOUS_UP("waterContinuousUp"),
    WATER_CONTINUOUS_DOWN("waterContinuousDown"),
    WATER_CONTINUOUS_EQUAL("waterContinuousEqual"),
    THRESHOLD_VALUE("thresholdValue"),
    ;

    @ApiModelProperty(value = "字段名称")
    private String filedName;
}
